Bug 205252 - security/tor & security/tor-devel: Update to 0.2.7.6
Summary: security/tor & security/tor-devel: Update to 0.2.7.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords: easy, patch, patch-ready
: 204123 204806 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-12-11 20:46 UTC by Neel Chauhan
Modified: 2016-01-13 15:59 UTC (History)
4 users (show)

See Also:
amdmi3: maintainer-feedback-


Attachments
Patch to update security/tor and security/tor-devel to 0.2.7.6 (2.01 KB, patch)
2015-12-11 20:46 UTC, Neel Chauhan
no flags Details | Diff
Poudriere build log for security/tor 0.2.7.6 on FreeBSD 10.2 amd64 (39.47 KB, text/plain)
2015-12-11 20:46 UTC, Neel Chauhan
no flags Details
Poudriere build log for security/tor-devel 0.2.7.6 on FreeBSD 10.2 amd64 (39.77 KB, text/plain)
2015-12-11 20:47 UTC, Neel Chauhan
no flags Details
Poudriere build log for security/tor 0.2.7.6 on FreeBSD 9.3 amd64 (39.89 KB, text/plain)
2015-12-11 21:24 UTC, Neel Chauhan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan freebsd_committer 2015-12-11 20:46:07 UTC
Created attachment 164129 [details]
Patch to update security/tor and security/tor-devel to 0.2.7.6

Hi,

I have a patch to update security/tor and security/tor-devel to 0.2.7.6.

The poudriere build logs will be uploaded shortly.

Thanks,
Neel
Comment 1 Neel Chauhan freebsd_committer 2015-12-11 20:46:24 UTC
Created attachment 164130 [details]
Poudriere build log for security/tor 0.2.7.6 on FreeBSD 10.2 amd64
Comment 2 Neel Chauhan freebsd_committer 2015-12-11 20:46:38 UTC
*** Bug 204806 has been marked as a duplicate of this bug. ***
Comment 3 Neel Chauhan freebsd_committer 2015-12-11 20:47:44 UTC
Created attachment 164131 [details]
Poudriere build log for security/tor-devel 0.2.7.6 on FreeBSD 10.2 amd64
Comment 4 Neel Chauhan freebsd_committer 2015-12-11 21:24:41 UTC
Created attachment 164133 [details]
Poudriere build log for security/tor 0.2.7.6 on FreeBSD 9.3 amd64
Comment 5 Dmitry Marakasov freebsd_committer 2015-12-17 11:06:08 UTC
*** Bug 204123 has been marked as a duplicate of this bug. ***
Comment 6 Dmitry Marakasov freebsd_committer 2015-12-17 12:06:06 UTC
I'm updating tor-devel only, due to reasons mentioned in 204806.

I'm updating on maintainer timeout terms, cause previous submissions have already hit maintainer timeout several times.
Comment 7 commit-hook freebsd_committer 2015-12-17 16:17:06 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Dec 17 16:16:52 UTC 2015
New revision: 403908
URL: https://svnweb.freebsd.org/changeset/ports/403908

Log:
  - Update to 0.2.7.6

  PR:		204123, 204806, 205252
  Submitted by:	neel@neelc.org
  Approved by:	maintainer timeout (bf, >1 month)

Changes:
  head/security/tor-devel/Makefile
  head/security/tor-devel/distinfo
Comment 8 nusenu 2015-12-17 21:14:48 UTC
(In reply to Dmitry Marakasov from comment #6)
and https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=204806#c7

The following reasons make Tor 0.2.7.6 also a good candidate for the stable port (not just tor-devel):

- the first Tor 0.2.7.x stable version (0.2.7.6) has been released ~a month ago.

- since then a second 0.2.7.x stable release has been published

- Tor 0.2.7.6 fixes a major bug affecting also users of Tor 0.2.6.10 [1]
https://blog.torproject.org/blog/tor-0276-released

- and since its release tor 0.2.7. has seen significant adoption - in fact it is the most used tor release by relay count and CW fraction:

from today's onionoo data:
+-------------+-------------+--------+
| tor version | CW-fraction | relays |
+-------------+-------------+--------+
| 0.2.7.x     |        36.4 |   2035 |
| 0.2.6.x     |        33.4 |   1947 |
| 0.2.5.x     |        13.9 |   1259 |
| 0.2.4.x     |        13.6 |   1771 |
| 0.2.8.x     |         2.5 |     26 |
+-------------+-------------+--------+

see also:
https://metrics.torproject.org/versions.html
Comment 9 Dmitry Marakasov freebsd_committer 2015-12-18 14:15:32 UTC
I'll leave this open and if there's no objection from bf@ will update security/tor port as well in early January. By that time tor-devel is expected to receive enough testing to reveal possible problems with new version.
Comment 10 Vinícius Zavam freebsd_committer 2015-12-18 17:09:52 UTC
(In reply to Dmitry Marakasov from comment #9)

Sorry, but what about updates, changes, updates and patches proposed by PR 203014?

One of the comments on that report suggests a 'Lennart Poettering' behavior, but this patch here just "bumps" the distfile version (makesum). There's still a patch in "files/" that doesn't need to be there anymore; and it's being ignored (?).

There are also good practices from the Porter's Handbook present on PR 203014, and considerations from other committers. Poudriere logs for amd64, i386 and armv6 are available there; for FreeBSD CURRENT, 10 and 9.

I would like a feedback about this, so I can learn you guys' approaches/techniques to better help the project.

K.R.,
Vinícius
Comment 11 Dmitry Marakasov freebsd_committer 2015-12-25 11:00:30 UTC
(In reply to Vinícius Zavam from comment #10)

> Sorry, but what about updates, changes, updates and patches proposed by PR
> 203014?

I've commented there.
Comment 12 Dmitry Marakasov freebsd_committer 2016-01-12 22:00:23 UTC
Ready to update, however it turned out that 0.2.7.6 no longer builds on MIPS. I guess I'll have to copy it to tor26 or something.
Comment 13 Dmitry Marakasov freebsd_committer 2016-01-13 15:56:47 UTC
Actually no, it's transient.
Comment 14 commit-hook freebsd_committer 2016-01-13 15:58:09 UTC
A commit references this bug:

Author: amdmi3
Date: Wed Jan 13 15:58:03 UTC 2016
New revision: 406053
URL: https://svnweb.freebsd.org/changeset/ports/406053

Log:
  - Update to 0.2.7.6

  PR:		205252
  Submitted by:	neel@neelc.org
  Approved by:	maintainer timeout (bf, >1 month)

Changes:
  head/security/tor/Makefile
  head/security/tor/distinfo